## shortuuid 0.1.0

=== DESCRIPTION ===
Package: shortuuid
Title: Generate and Translate Standard UUIDs
Version: 0.1.0
Authors@R: 
    person("David", "Schoch", , "david@schochastics.net", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-2952-4812"))
Description: Generate and translate standard Universally Unique Identifiers (UUIDs) into shorter - or just different - formats and back. Also implements base58 encoders and decoders. 
License: MIT + file LICENSE
Encoding: UTF-8
RoxygenNote: 7.3.2
LinkingTo: Rcpp
Imports: Rcpp
Suggests: testthat (>= 3.0.0)
Config/testthat/edition: 3
NeedsCompilation: yes
Packaged: 2025-07-22 08:48:52 UTC; david
Author: David Schoch [aut, cre] (ORCID:
    <https://orcid.org/0000-0003-2952-4812>)
Maintainer: David Schoch <david@schochastics.net>
Repository: CRAN
Date/Publication: 2025-07-22 12:10:02 UTC

## shortuuid 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: shortuuid
 Title: Generate and Translate Standard UUIDs
-Version: 0.1.0
+Version: 0.1.1
 Authors@R: 
     person("David", "Schoch", , "david@schochastics.net", role = c("aut", "cre"),
            comment = c(ORCID = "0000-0003-2952-4812"))
@@ -13,9 +13,9 @@
 Suggests: testthat (>= 3.0.0)
 Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2025-07-22 08:48:52 UTC; david
+Packaged: 2026-02-27 11:44:51 UTC; david
 Author: David Schoch [aut, cre] (ORCID:
     <https://orcid.org/0000-0003-2952-4812>)
 Maintainer: David Schoch <david@schochastics.net>
 Repository: CRAN
-Date/Publication: 2025-07-22 12:10:02 UTC
+Date/Publication: 2026-02-27 12:00:02 UTC

## shortuuid 0.3.1

=== debian/changelog ===
shortuuid (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #717542)
  * debian/patches
    - update_egg-info.patch: append setup.cfg to SOURCES.txt

 -- Kouhei Maeda <mkouhei@palmtb.net>  Thu, 29 Aug 2013 22:37:51 +0900

=== debian/control ===
Source: shortuuid
Section: python
Priority: optional
Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6), python-setuptools
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
Homepage: https://github.com/stochastic-technologies/shortuuid/

Package: python-shortuuid
Architecture: all
Provides: ${python:Provides}
Depends: ${python:Depends}, ${misc:Depends}
Description: generates concise, unambiguous, URL-safe UUIDs
 Often, one needs to use non-sequential IDs in places where users will see them,
 but the IDs must be as concise and easy to use as possible. shortuuid solves
 this problem by generating uuids using Python's built-in uuid module and then
 translating them to base57 using lowercase and uppercase letters and digits,
 and removing similar-looking characters such as l, 1, I, O and 0.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_test:
	set -e ; \
	python $(CURDIR)/shortuuid/tests.py

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/s/shortuuid/shortuuid-(.*)\.tar\.gz

## shortuuid 0.4.2

=== debian/changelog ===
shortuuid (0.4.2-4ubuntu1) xenial; urgency=medium

  * Build-depend on python-pep8.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 25 Oct 2015 01:50:47 +0200

shortuuid (0.4.2-4) unstable; urgency=medium

  * Fixes incompatible with pep8 1.6.2-0.1. (Closes: #799310)
    Thanks report and patch Chris Lamb <lamby@debian.org>.
    Adds debian/patches/Fixed-incompatible-with-pep8-1.6.2-0.1.patch.
  * debian/control
    Adds dh-python to Build-Depends.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Thu, 08 Oct 2015 08:13:44 +0900

shortuuid (0.4.2-3) unstable; urgency=medium

  * Uploading to unstable. 

 -- Kouhei Maeda <mkouhei@palmtb.net>  Wed, 01 Jul 2015 13:59:45 +0900

shortuuid (0.4.2-2) experimental; urgency=medium

  * debian/watch
    - Updated url.
  * debian/control
    - Standards-Version: Bumped version.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sun, 19 Apr 2015 07:33:59 +0900

shortuuid (0.4.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Stop relying on matching views about architecture-specific bits
    (DEB_HOST_ARCH_OS and DEB_HOST_GNU_CPU) from dpkg and setuptools
    for the 2.7 build directory; use a wildcard instead. This fixes
    the FTBFS on i386 (Closes: #769262).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 14 Nov 2014 13:32:16 +0000

shortuuid (0.4.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    - Append X-Python3-Version: >= 3.2.
    - Append quilt to Build-Depends.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Thu, 07 Aug 2014 11:03:57 +0900

shortuuid (0.3.2-1) unstable; urgency=medium

  * New upstream release
  * debian/control:
    * Append pep8, python3-pep8 to Build-Depends.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Thu, 03 Apr 2014 18:01:46 +0900

shortuuid (0.3.1-2) unstable; urgency=medium

  * debian/control:
    - Update 3.9.5 at Standards-Version.
  * Support python3 version
    - debian/control:
      * Append python3-shortuuid.
      * Append python3-all, python3-setuptools to Build-Depends.
      * Append ">= 3.2" to X-Python-Version.
    - debian/rules:
      * Append override_dh_auto_build, override_dh_auto_install,
        override_dh_auto_clean.
      * Append test for python3 to override_dh_auto_test.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Wed, 19 Feb 2014 09:40:12 +0900

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,19 @@
 Section: python
 Priority: optional
 Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
-Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6), python-setuptools
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 8.0.0),
+               dh-python,
+               python-all (>= 2.6),
+               python-setuptools,
+               python-pep8,
+               pep8,
+               python3-all (>= 3.2),
+               python3-setuptools,
+               python3-pep8,
+               quilt
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
+X-Python3-Version: >= 3.2
 Homepage: https://github.com/stochastic-technologies/shortuuid/
 
 Package: python-shortuuid
@@ -18,3 +28,14 @@
  translating them to base57 using lowercase and uppercase letters and digits,
  and removing similar-looking characters such as l, 1, I, O and 0.
 
+Package: python3-shortuuid
+Architecture: all
+Depends: ${python3:Depends}, ${misc:Depends}
+Description: generates concise, unambiguous, URL-safe UUIDs for Python3
+ For Python3.
+ Often, one needs to use non-sequential IDs in places where users will see them,
+ but the IDs must be as concise and easy to use as possible. shortuuid solves
+ this problem by generating uuids using Python's built-in uuid module and then
+ translating them to base57 using lowercase and uppercase letters and digits,
+ and removing similar-looking characters such as l, 1, I, O and 0.
+

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/shortuuid/shortuuid-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## shortuuid 0.4.3

=== debian/changelog ===
shortuuid (0.4.3-2) unstable; urgency=medium

  * debian/control
    Standards-Version: Bumps version to 3.9.8. 

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sat, 02 Jul 2016 06:56:39 +0900

shortuuid (0.4.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS. Add python-pep8 to build-depends. Closes: #818060.

 -- Brian May <bam@debian.org>  Mon, 02 May 2016 11:12:25 +1000

shortuuid (0.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sat, 13 Feb 2016 15:11:18 +0900

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,11 @@
                python-all (>= 2.6),
                python-setuptools,
                python-pep8,
-               pep8,
                python3-all (>= 3.2),
                python3-setuptools,
                python3-pep8,
                quilt
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/stochastic-technologies/shortuuid/

## shortuuid 0.5.0

=== debian/changelog ===
shortuuid (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Standards-Version: Bumps version to 4.0.0.
  * debian/compat
    - Bumps version to 9.
  * debian/patches
    - Deletes update_egg-info.patch

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sat, 16 Sep 2017 17:22:09 +0900

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-setuptools,
                python3-pep8,
                quilt
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/stochastic-technologies/shortuuid/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	set -e ; \
	for py in 2.7 $(shell py3versions -vr); do \
		python$$py setup.py build --build-base=build$$py; \
	done

override_dh_auto_test:
	set -e ; \
	python2.7 build2.7/lib.*-2.7/shortuuid/tests.py
	for py in $(shell py3versions -vr); do \
		python$$py build$$py/lib/shortuuid/tests.py; \
	done

override_dh_auto_install:
	python setup.py install --no-compile -O0 --install-layout=deb \
		--root $(CURDIR)/debian/python-shortuuid && \
	python3 setup.py install --no-compile -O0 --install-layout=deb \
		--root $(CURDIR)/debian/python3-shortuuid

override_dh_auto_clean:
	dh_clean
	for py in 2.7 $(shell py3versions -vr); do \
		python$$py setup.py clean --build-temp=build && \
		python$$py setup.py clean --build-temp=build$$py; \
	done
	find $(CURDIR) -name "*.pyc" -delete

## shortuuid 1.0.1

=== debian/changelog ===
shortuuid (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control
    - Build-Depends: Appends debhelper-compat (= 13).
    - Bumps Standards-Versions to 4.5.1.
  * Removes debian/compat.
  * debian/watch
    - Fixes debian-watch-uses-insecure-uri.
    - Bumps version to 4.
  * Removes debian/patches/update_egg-info.patch.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sun, 31 Jan 2021 11:02:22 +0900

shortuuid (0.5.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938478

 -- Sandro Tosi <morph@debian.org>  Fri, 24 Jan 2020 00:05:18 -0500

=== debian/control ===
Source: shortuuid
Section: python
Priority: optional
Maintainer: Kouhei Maeda <mkouhei@palmtb.net>
Build-Depends: debhelper-compat (= 13),
               debhelper (>= 8.0.0),
               dh-python,
               python3-all (>= 3.2),
               python3-setuptools,
               python3-pep8,
               quilt
Standards-Version: 4.5.1
Homepage: https://github.com/stochastic-technologies/shortuuid/

Package: python3-shortuuid
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: generates concise, unambiguous, URL-safe UUIDs for Python3
 For Python3.
 Often, one needs to use non-sequential IDs in places where users will see them,
 but the IDs must be as concise and easy to use as possible. shortuuid solves
 this problem by generating uuids using Python's built-in uuid module and then
 translating them to base57 using lowercase and uppercase letters and digits,
 and removing similar-looking characters such as l, 1, I, O and 0.

## shortuuid 1.0.8

=== debian/changelog ===
shortuuid (1.0.8-1) unstable; urgency=medium

  * New upstream release; Closes: #1002445
  * Move to Python team; Closes: #1006201
  * debian/control
    - add Python team Vcs fields
    - add Rules-Requires-Root: no
    - remove redundant mention of Python 3
    - new upstream homepage

 -- Martin <debacle@debian.org>  Mon, 21 Feb 2022 10:16:11 +0000

=== debian/control ===
Source: shortuuid
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Kouhei Maeda <mkouhei@palmtb.net>,
           Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
               debhelper (>= 8.0.0),
               dh-python,
               python3-all (>= 3.2),
               python3-setuptools,
               python3-pep8,
               quilt
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/shortuuid.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/shortuuid
Homepage: https://github.com/skorokithakis/shortuuid/

Package: python3-shortuuid
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: generates concise, unambiguous, URL-safe UUIDs for Python 3
 Often, one needs to use non-sequential IDs in places where users will see them,
 but the IDs must be as concise and easy to use as possible. shortuuid solves
 this problem by generating uuids using Python's built-in uuid module and then
 translating them to base57 using lowercase and uppercase letters and digits,
 and removing similar-looking characters such as l, 1, I, O and 0.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
        PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS='{interpreter} {build_dir}/shortuuid/tests.py' dh_auto_test

## shortuuid 1.0.11

=== debian/changelog ===
shortuuid (1.0.11-2) unstable; urgency=medium

  * Allow stderr in autopkgtest

 -- Martin <debacle@debian.org>  Sun, 29 Jan 2023 13:11:41 +0000

shortuuid (1.0.11-1) unstable; urgency=medium

  * New upstream release
  * Add autopkgtest

 -- Martin <debacle@debian.org>  Fri, 27 Jan 2023 20:13:33 +0000

shortuuid (1.0.8-2) unstable; urgency=medium

  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-all.
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.0, no changes needed.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 19:42:43 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 8.0.0),
                dh-python,
-               python3-all (>= 3.2),
+               python3-all,
                python3-setuptools,
                python3-pep8,
                quilt
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/shortuuid.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/shortuuid

=== debian/tests/control ===
Depends: @
Restrictions: allow-stderr
Test-Command: python3 -m unittest discover -v

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/shortuuid/shortuuid-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## shortuuid 1.0.13

=== debian/changelog ===
shortuuid (1.0.13-2) unstable; urgency=medium

  * Team upload.
  * Remove build-dependency on quilt

 -- Alexandre Detiste <tchet@debian.org>  Tue, 25 Mar 2025 23:21:45 +0100

shortuuid (1.0.13-1) unstable; urgency=medium

  * Team upload.
  * Build using pybuild-plugin-pyproject and Poetry.
  * Remove now-unused build-dependency on python3-pep8.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 26 May 2024 12:44:07 +0100

=== debian/control ===
Source: shortuuid
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Kouhei Maeda <mkouhei@palmtb.net>,
 Martin <debacle@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/shortuuid.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/shortuuid
Homepage: https://github.com/skorokithakis/shortuuid/
X-Style: black

Package: python3-shortuuid
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: generates concise, unambiguous, URL-safe UUIDs for Python 3
 Often, one needs to use non-sequential IDs in places where users will see them,
 but the IDs must be as concise and easy to use as possible. shortuuid solves
 this problem by generating uuids using Python's built-in uuid module and then
 translating them to base57 using lowercase and uppercase letters and digits,
 and removing similar-looking characters such as l, 1, I, O and 0.

=== debian/tests/control ===
Depends:
 @,
Restrictions:
 allow-stderr,
Test-Command: python3 -m unittest discover -v
